The ig package

[Tags:bsd3, library]

This package exports bindings to Instagram's APIs (see http://instagram.com/developer/).

While we would like to have a complete binding to Instagram's API, this package is being developed on demand. If you need something that has not been implemented yet, please send a pull request or file an issue on GitHub (https://github.com/prowdsponsor/ig/issues).

A sample Yesod application demonstrating the API can be found at https://github.com/prowdsponsor/ig-testapp.

Properties

Versions 0.1, 0.2, 0.2.1, 0.2.2, 0.3, 0.3.1, 0.4, 0.5, 0.5.1, 0.6, 0.6.1, 0.7, 0.8
Dependencies aeson (>=0.5), attoparsec-conduit (==1.0.*), base (==4.*), base16-bytestring (>=0.1), bytestring (>=0.9 && <0.11), conduit (==1.0.* || >=1.1.0.0 && <1.3), conduit-extra (==1.1.*), crypto-api (>=0.11 && <0.14), cryptohash (>=0.7), cryptohash-cryptoapi (==0.1.*), data-default, http-conduit (>=2.0 && <2.2), http-types, lifted-base, monad-control, resourcet, text (>=0.11), time, transformers (>=0.2 && <0.5), transformers-base, unordered-containers [details]
License BSD3
Copyright (c) 2013-2014 Prowdsponsor
Author Felipe Lessa <felipe.lessa@prowdsponsor.com>, JP Moresmau <jpmoresmau@gmail.com>
Maintainer Prowdsponsor <opensource@prowdsponsor.com>
Stability Unknown
Category Web
Home page https://github.com/prowdsponsor/ig
Source repository head: git clone git://github.com/prowdsponsor/ig.git
Uploaded Thu Jun 30 09:30:01 UTC 2016 by cdepillabout
Distributions LTSHaskell:0.7, NixOS:0.8, Tumbleweed:0.7
Downloads 1149 total (16 in the last 30 days)
Votes
1 []
Status Docs not available [build log]
All reported builds failed as of 2016-06-30 [all 1 reports]

Modules

  • Instagram

Flags

NameDescriptionDefaultType
debugPrint debugging info.DisabledAutomatic
conduit11Use conduit >= 1.1.EnabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainer's Corner

For package maintainers and hackage trustees